Summary: A SCSI reservation tool.
Name: scsi_reserve
Version: 0.7
Release: 7
License: GPL
Group: Applications/System
Source: scsi_reserve.tgz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This tool is for issuing SCSI reservation and release commands, for
controlling exclusive access to a SCSI device that is shared between
more than one SCSI host adapter.

%package devel
Summary: Static version of the SCSI reservation library.
Group: Development/System
%description devel
This is the static library needed to link any SCSI Reservation base code
into other applications.

%prep
%setup -q -c -n scsi_reserve

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -m 755 scsi_reserve %{buildroot}%{_sbindir}/scsi_reserve
install -m 644 libscsi_reserve.a %{buildroot}%{_libdir}/libscsi_reserve.a
install -m 644 scsires.h %{buildroot}%{_includedir}/scsi_reserve.h

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/scsi_reserve

%files devel
%defattr(-,root,root)
%{_libdir}/libscsi_reserve.a
%{_includedir}/scsi_reserve.h

%changelog
* Sat Oct 13 2001 Doug Ledford <dledford@redhat.com> 0.7-7
- Reread partition tables after the drive is reserved.

* Thu Oct 11 2001 Tim Waugh <twaugh@redhat.com> 0.7-6
- Apply patch to fix sg failure case (bug #54535).

* Tue Oct  9 2001 Tim Waugh <twaugh@redhat.com> 0.7-5
- Really disable persistent reservations (bug #54361).

* Tue Oct  9 2001 Tim Waugh <twaugh@redhat.com> 0.7-4
- Disable persistent reservation code until it's ready (bug #54361).
- Fix signed/unsigned file descriptor bug.

* Tue Aug 14 2001 Doug Ledford <dledford@redhat.com> 0.7-3
- Add the devel package

* Thu Jul 19 2001 Tim Waugh <twaugh@redhat.com> 0.7-2
- Default delay time is 4.  Also configurable with --delay option.

* Thu Jul 19 2001 Tim Waugh <twaugh@redhat.com> 0.7-1
- 0.7.  Now has --stonith option.

